## icinga2 2.13.7+679.gb724d6133

=== debian/changelog ===
icinga2 (2.13.7+679.gb724d6133-1682719413+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+679.gb724d6133-1682719413

 -- Icinga GmbH <info@icinga.com>  Fri, 28 Apr 2023 22:04:17 +0000

## icinga2 2.13.7+698.geca8890d4

=== CMakeLists.txt ===
# Icinga 2 | (c) 2012 Icinga GmbH | GPLv2+

cmake_minimum_required(VERSION 2.8.8)
set(BOOST_MIN_VERSION "1.66.0")

if("${CMAKE_VERSION}" VERSION_LESS "3.8") # SLES 12.5
  if(NOT MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
  endif()
else()
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  set(CMAKE_CXX_EXTENSIONS OFF)
endif()

project(icinga2)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/third-party/cmake")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif()

if(WIN32)
  set(ICINGA2_MASTER OFF)
else()
  set(ICINGA2_MASTER ON)
endif()

option(ICINGA2_WITH_MYSQL "Build the MySQL IDO module" ${ICINGA2_MASTER})
option(ICINGA2_WITH_PGSQL "Build the PostgreSQL IDO module" ${ICINGA2_MASTER})
option(ICINGA2_WITH_CHECKER "Build the checker module" ON)
option(ICINGA2_WITH_COMPAT "Build the compat module" ${ICINGA2_MASTER})
option(ICINGA2_WITH_LIVESTATUS "Build the Livestatus module" ${ICINGA2_MASTER})
option(ICINGA2_WITH_NOTIFICATION "Build the notification module" ON)
option(ICINGA2_WITH_PERFDATA "Build the perfdata module" ${ICINGA2_MASTER})
option(ICINGA2_WITH_TESTS "Run unit tests" ON)
option(ICINGA2_WITH_ICINGADB "Build the IcingaDB module" ${ICINGA2_MASTER})

option (USE_SYSTEMD
 "Configure icinga as native systemd service instead of a SysV initscript" OFF)

set(HAVE_SYSTEMD ${USE_SYSTEMD})

include(GNUInstallDirs)
include(InstallConfig)
include(SetFullDir)

set(ICINGA2_USER "icinga" CACHE STRING "Icinga 2 user")
set(ICINGA2_GROUP "icinga" CACHE STRING "Icinga 2 group")
set(ICINGA2_COMMAND_GROUP "icingacmd" CACHE STRING "Icinga 2 command group")
set(ICINGA2_PLUGINDIR "/usr/lib/nagios/plugins" CACHE STRING "Path for the check plugins")
set(ICINGA2_GIT_VERSION_INFO ON CACHE BOOL "Whether to use git describe")
set(ICINGA2_UNITY_BUILD ON CACHE BOOL "Whether to perform a unity build")
set(ICINGA2_LTO_BUILD OFF CACHE BOOL "Whether to use LTO")

set(ICINGA2_CONFIGDIR "${CMAKE_INSTALL_SYSCONFDIR}/icinga2" CACHE FILEPATH "Main config directory, e.g. /etc/icinga2")
set(ICINGA2_CACHEDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/cache/icinga2" CACHE FILEPATH "Directory for cache files, e.g. /var/cache/icinga2")
set(ICINGA2_DATADIR "${CMAKE_INSTALL_LOCALSTATEDIR}/lib/icinga2" CACHE FILEPATH "Data directory for the daemon, e.g. /var/lib/icinga2")
set(ICINGA2_LOGDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/log/icinga2" CACHE FILEPATH "Logging directory, e.g. /var/log/icinga2")
set(ICINGA2_SPOOLDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/spool/icinga2" CACHE FILEPATH "Spooling directory, e.g. /var/spool/icinga2")
set(ICINGA2_RUNDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/run" CACHE STRING "/run directory (deprecated, please use ICINGA2_INITRUNDIR)")
set(ICINGA2_INITRUNDIR "${ICINGA2_RUNDIR}/icinga2" CACHE FILEPATH "Runtime data for the init system, e.g. /run/icinga2")

set(ICINGA2_PKGDATADIR "${CMAKE_INSTALL_DATADIR}/icinga2" CACHE FILEPATH "Installed data, e.g. /usr/share/icinga2")
set(ICINGA2_INCLUDEDIR "${ICINGA2_PKGDATADIR}/include" CACHE FILEPATH "Include directory for the ITL, e.g. /usr/share/icinga2/include")

# ensure absolute paths
set_full_dir(ICINGA2_FULL_CONFIGDIR "${ICINGA2_CONFIGDIR}")
set_full_dir(ICINGA2_FULL_CACHEDIR "${ICINGA2_CACHEDIR}")
set_full_dir(ICINGA2_FULL_DATADIR "${ICINGA2_DATADIR}")
set_full_dir(ICINGA2_FULL_LOGDIR "${ICINGA2_LOGDIR}")
set_full_dir(ICINGA2_FULL_SPOOLDIR "${ICINGA2_SPOOLDIR}")
set_full_dir(ICINGA2_FULL_RUNDIR "${ICINGA2_RUNDIR}")
set_full_dir(ICINGA2_FULL_INITRUNDIR "${ICINGA2_INITRUNDIR}")
set_full_dir(ICINGA2_FULL_PKGDATADIR "${ICINGA2_PKGDATADIR}")
set_full_dir(ICINGA2_FULL_INCLUDEDIR "${ICINGA2_INCLUDEDIR}")

set(LOGROTATE_DIR "${CMAKE_INSTALL_SYSCONFDIR}/logrotate.d" CACHE STRING "Location of logrotate configs, e.g. /etc/logrotate.d")
set(BASHCOMPLETION_DIR "${CMAKE_INSTALL_SYSCONFDIR}/bash_completion.d" CACHE STRING "Location of bash_completion files, e.g. /etc/bash_completion.d")

if(NOT WIN32)
  set(ICINGA2_SYSCONFIGFILE "${CMAKE_INSTALL_SYSCONFDIR}/sysconfig/icinga2" CACHE PATH "where to store configuation for the init system, defaults to /etc/sysconfig/icinga2")
endif()

site_name(ICINGA2_BUILD_HOST_NAME)
set(ICINGA2_BUILD_COMPILER_NAME "${CMAKE_CXX_COMPILER_ID}")

if(NOT CMAKE_CXX_COMPILER_VERSION)
  execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
    OUTPUT_VARIABLE CMAKE_CXX_COMPILER_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()

set(ICINGA2_BUILD_COMPILER_VERSION "${CMAKE_CXX_COMPILER_VERSION}")

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/COPYING" ICINGA2_LICENSE_GPL)
set(ICINGA2_LICENSE "${ICINGA2_LICENSE_GPL}\n\n---\n\n${ICINGA2_LICENSE_ADDITIONS}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/LICENSE.txt" ${ICINGA2_LICENSE})

file(STRINGS ICINGA2_VERSION SPEC_VERSION REGEX "^Version:")
string(LENGTH "${SPEC_VERSION}" SPEC_VERSION_LENGTH)
math(EXPR SPEC_VERSION_LENGTH "${SPEC_VERSION_LENGTH} - 9")
string(SUBSTRING ${SPEC_VERSION} 9 ${SPEC_VERSION_LENGTH} SPEC_VERSION)

configure_file(icinga-spec-version.h.cmake icinga-spec-version.h)

include(GetGitRevisionDescription)
git_describe(GIT_VERSION --tags)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/icinga-version.h.force)
  configure_file(icinga-version.h.force ${CMAKE_CURRENT_BINARY_DIR}/icinga-version.h COPYONLY)
else()
  if(NOT ICINGA2_GIT_VERSION_INFO OR GIT_VERSION MATCHES "-NOTFOUND$")
    file(STRINGS ICINGA2_VERSION SPEC_REVISION REGEX "^Revision: ")
    string(LENGTH "${SPEC_REVISION}" SPEC_REVISION_LENGTH)
    math(EXPR SPEC_REVISION_LENGTH "${SPEC_REVISION_LENGTH} - 10")
    string(SUBSTRING ${SPEC_REVISION} 10 ${SPEC_REVISION_LENGTH} SPEC_REVISION)

    set(GIT_VERSION "r${SPEC_VERSION}-${SPEC_REVISION}")
    set(ICINGA2_VERSION "${SPEC_VERSION}")
  else()
    # use GIT version as ICINGA2_VERSION
    string(REGEX REPLACE "^[rv]" "" ICINGA2_VERSION "${GIT_VERSION}")
  endif()
  configure_file(icinga-version.h.cmake icinga-version.h)
endif()

# NuGet on Windows requires a semantic versioning, example: 2.10.4.123 (only 4 element, only numeric)
string(REGEX REPLACE "-([0-9]+).*$" ".\\1" ICINGA2_VERSION_SAFE "${ICINGA2_VERSION}")
string(REGEX REPLACE "-[^\\.]*(.*)$" "\\1" ICINGA2_VERSION_SAFE "${ICINGA2_VERSION_SAFE}")
string(REGEX REPLACE "^([0-9]+\\.[0-9]+\\.[0-9]+)[\\.]?[0-9]*" "\\1" CHOCO_VERSION_SHORT "${ICINGA2_VERSION_SAFE}")

message(STATUS "ICINGA2_VERSION_SAFE=${ICINGA2_VERSION_SAFE} CHOCO_VERSION_SHORT=${CHOCO_VERSION_SHORT}")

if(WIN32)
  set(Boost_USE_STATIC_LIBS ON)
  # Disabled for linking issues for newer Boost versions, they link against Windows SDKs
  #add_definitions(-DBOOST_ALL_NO_LIB)

  # Disable optimization for Boost::context
  # https://www.boost.org/doc/libs/1_69_0/libs/context/doc/html/context/overview.html
  # https://docs.microsoft.com/en-us/cpp/build/reference/gl-whole-program-optimization?view=vs-2017
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /bigobj /GL- /EHs")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj /GL- /EHs")

  # detect if 32-bit target
  if(CMAKE_VS_PLATFORM_NAME STREQUAL "Win32")
    # SAFESEH is not supported in Boost on Windows x86
    # maybe it is when Boost is compiled with it...
    # https://lists.boost.org/Archives/boost/2013/10/206720.php
    # https://docs.microsoft.com/en-us/cpp/build/reference/safeseh-image-has-safe-exception-handlers?view=vs-2017
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SAFESEH:NO")
  endif()
endif()

if(NOT DEFINED LOGROTATE_HAS_SU)
  set(LOGROTATE_HAS_SU OFF)
  find_program(LOGROTATE_BINARY logrotate)
  execute_process(COMMAND ${LOGROTATE_BINARY} ERROR_VARIABLE LOGROTATE_OUTPUT)
  if(LOGROTATE_OUTPUT)
    string(REGEX REPLACE "^logrotate ([0-9.]*).*" "\\1" LOGROTATE_VERSION
      ${LOGROTATE_OUTPUT})
    message(STATUS "Found logrotate (found version \"${LOGROTATE_VERSION}\")")
    if("${LOGROTATE_VERSION}" VERSION_GREATER "3.7.9")
      set(LOGROTATE_HAS_SU ON)
    endif()
  endif()
endif()
if(LOGROTATE_HAS_SU)
  set(LOGROTATE_USE_SU "\n\tsu ${ICINGA2_USER} ${ICINGA2_GROUP}")
else()
  set(LOGROTATE_CREATE "\n\tcreate 644 ${ICINGA2_USER} ${ICINGA2_GROUP}")
endif()

find_package(Boost ${BOOST_MIN_VERSION} COMPONENTS coroutine context date_time filesystem iostreams thread system program_options regex REQUIRED)

# Boost.Coroutine2 (the successor of Boost.Coroutine)
# (1) doesn't even exist in old Boost versions and
# (2) isn't supported by ASIO, yet.
add_definitions(-DBOOST_COROUTINES_NO_DEPRECATION_WARNING)

add_definitions(-DBOOST_FILESYSTEM_NO_DEPRECATED)

# Required for Boost v1.74+
add_definitions(-DBOOST_ASIO_USE_TS_EXECUTOR_AS_DEFAULT)

link_directories(${Boost_LIBRARY_DIRS})
include_directories(${Boost_INCLUDE_DIRS})

find_package(OpenSSL REQUIRED)
include_directories(${OPENSSL_INCLUDE_DIR})

set(base_DEPS ${CMAKE_DL_LIBS} ${Boost_LIBRARIES} ${OPENSSL_LIBRARIES})
set(base_OBJS $<TARGET_OBJECTS:mmatch> $<TARGET_OBJECTS:socketpair> $<TARGET_OBJECTS:base>)

# JSON
find_package(JSON)
include_directories(${JSON_INCLUDE})

# UTF8CPP
find_package(UTF8CPP)
include_directories(${UTF8CPP_INCLUDE})

find_package(Editline)
set(HAVE_EDITLINE "${EDITLINE_FOUND}")

find_package(Termcap)
set(HAVE_TERMCAP "${TERMCAP_FOUND}")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib
  ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/lib
)

if(UNIX OR CYGWIN)
  list(APPEND base_OBJS $<TARGET_OBJECTS:execvpe>)
endif()

if(HAVE_SYSTEMD)
  list(APPEND base_DEPS systemd)
endif()

if(EDITLINE_FOUND)
  list(APPEND base_DEPS ${EDITLINE_LIBRARIES})
  include_directories(${EDITLINE_INCLUDE_DIR})
endif()

if(TERMCAP_FOUND)
  list(APPEND base_DEPS ${TERMCAP_LIBRARIES})
  include_directories(${TERMCAP_INCLUDE_DIR})
endif()

if(WIN32)
  list(APPEND base_DEPS ws2_32 dbghelp shlwapi msi)
endif()

set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${CMAKE_INSTALL_FULL_LIBDIR}/icinga2")

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Qunused-arguments -fcolor-diagnostics -fno-limit-debug-info")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Qunused-arguments -fcolor-diagnostics -fno-limit-debug-info")

  # Clang on Fedora requires -pthread, Apple Clang does not
  # AppleClang is available since CMake 3.0.0
  if (NOT CMAKE_CXX_COMPILER_ID MATCHES "AppleClang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
  endif()
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "SunPro")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mt")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mt -library=stlport4")
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
  if(CMAKE_SYSTEM_NAME MATCHES AIX)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -lpthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -lpthread")
  elseif(CMAKE_SYSTEM_NAME MATCHES "kOpenBSD.*|OpenBSD.*")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -pthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -pthread")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lpthread")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lpthread")
    set(CMAKE_STATIC_LINKER_FLAGS "${CMAKE_STATIC_LINKER_FLAGS} -lpthread")
  else()
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -pthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -pthread")
  endif()
endif()

include(CheckCXXCompilerFlag)

function(check_cxx_linker_flag flag var)
  set(CMAKE_REQUIRED_FLAGS ${flag})
  set(result 0)
  check_cxx_compiler_flag(${flag} result)
  set(${var} ${result} PARENT_SCOPE)
endfunction()

check_cxx_linker_flag("-Wl,--gc-sections" LD_GC_SECTIONS)

if(LD_GC_SECTIONS)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--gc-sections")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--gc-sections")
endif()

check_cxx_linker_flag("-Wl,--no-export-dynamic" LD_NO_EXPORT_DYNAMIC)

if(LD_NO_EXPORT_DYNAMIC)

=== debian/changelog ===
icinga2 (2.13.7+698.geca8890d4-1683324217+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+698.geca8890d4-1683324217

 -- Icinga GmbH <info@icinga.com>  Fri, 05 May 2023 22:04:15 +0000

## icinga2 2.13.7+710.g3276cc941

=== debian/changelog ===
icinga2 (2.13.7+710.g3276cc941-1683929014+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+710.g3276cc941-1683929014

 -- Icinga GmbH <info@icinga.com>  Fri, 12 May 2023 22:04:16 +0000

## icinga2 2.13.7+718.g2fcc3e00a

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Icinga 2 | (c) 2012 Icinga GmbH | GPLv2+
 
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 set(BOOST_MIN_VERSION "1.66.0")
 
 if("${CMAKE_VERSION}" VERSION_LESS "3.8") # SLES 12.5

=== debian/changelog ===
icinga2 (2.13.7+718.g2fcc3e00a-1684533809+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+718.g2fcc3e00a-1684533809

 -- Icinga GmbH <info@icinga.com>  Fri, 19 May 2023 22:03:55 +0000

## icinga2 2.13.7+738.gd871c5c83

=== debian/changelog ===
icinga2 (2.13.7+738.gd871c5c83-1685138612+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+738.gd871c5c83-1685138612

 -- Icinga GmbH <info@icinga.com>  Fri, 26 May 2023 22:04:03 +0000

## icinga2 2.13.7+748.g7c381ae12

=== debian/changelog ===
icinga2 (2.13.7+748.g7c381ae12-1685743412+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+748.g7c381ae12-1685743412

 -- Icinga GmbH <info@icinga.com>  Fri, 02 Jun 2023 22:04:05 +0000

## icinga2 2.13.7+749.ga3dabde28

=== debian/changelog ===
icinga2 (2.13.7+749.ga3dabde28-1686953012+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+749.ga3dabde28-1686953012

 -- Icinga GmbH <info@icinga.com>  Fri, 16 Jun 2023 22:05:44 +0000

## icinga2 2.13.7+751.geddd4c7bf

=== debian/changelog ===
icinga2 (2.13.7+751.geddd4c7bf-1687557815+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+751.geddd4c7bf-1687557815

 -- Icinga GmbH <info@icinga.com>  Fri, 23 Jun 2023 22:06:14 +0000

## icinga2 2.13.7+767.g70d6b6e42

=== test/CMakeLists.txt ===
# Icinga 2 | (c) 2012 Icinga GmbH | GPLv2+

include(BoostTestTargets)

set(base_test_SOURCES
  icingaapplication-fixture.cpp
  base-array.cpp
  base-base64.cpp
  base-convert.cpp
  base-dictionary.cpp
  base-fifo.cpp
  base-json.cpp
  base-match.cpp
  base-netstring.cpp
  base-object.cpp
  base-object-packer.cpp
  base-serialize.cpp
  base-shellescape.cpp
  base-stacktrace.cpp
  base-stream.cpp
  base-string.cpp
  base-timer.cpp
  base-tlsutility.cpp
  base-type.cpp
  base-utility.cpp
  base-value.cpp
  config-ops.cpp
  icinga-checkresult.cpp
  icinga-dependencies.cpp
  icinga-legacytimeperiod.cpp
  icinga-macros.cpp
  icinga-notification.cpp
  icinga-perfdata.cpp
  remote-configpackageutility.cpp
  remote-url.cpp
  ${base_OBJS}
  $<TARGET_OBJECTS:config>
  $<TARGET_OBJECTS:remote>
  $<TARGET_OBJECTS:icinga>
)

if(ICINGA2_UNITY_BUILD)
  mkunity_target(base test base_test_SOURCES)
endif()

add_boost_test(base
  SOURCES test-runner.cpp ${base_test_SOURCES}
  LIBRARIES ${base_DEPS}
  TESTS
    base_array/construct
    base_array/getset
    base_array/resize
    base_array/insert
    base_array/remove
    base_array/unique
    base_array/foreach
    base_array/clone
    base_array/json
    base_base64/base64
    base_convert/tolong
    base_convert/todouble
    base_convert/tostring
    base_convert/tobool
    base_dictionary/construct
    base_dictionary/initializer1
    base_dictionary/initializer2
    base_dictionary/get1
    base_dictionary/get2
    base_dictionary/foreach
    base_dictionary/remove
    base_dictionary/clone
    base_dictionary/json
    base_dictionary/keys_ordered
    base_fifo/construct
    base_fifo/io
    base_json/encode
    base_json/decode
    base_json/invalid1
    base_object_packer/pack_null
    base_object_packer/pack_false
    base_object_packer/pack_true
    base_object_packer/pack_number
    base_object_packer/pack_string
    base_object_packer/pack_array
    base_object_packer/pack_object
    base_match/tolong
    base_netstring/netstring
    base_object/construct
    base_object/getself
    base_serialize/scalar
    base_serialize/array
    base_serialize/dictionary
    base_serialize/object
    base_shellescape/escape_basic
    base_shellescape/escape_quoted
    base_stacktrace/stacktrace
    base_stream/readline_stdio
    base_string/construct
    base_string/equal
    base_string/clear
    base_string/append
    base_string/trim
    base_string/contains
    base_string/replace
    base_string/index
    base_string/find
    base_timer/construct
    base_timer/interval
    base_timer/invoke
    base_timer/scope
    base_tlsutility/sha1
    base_type/gettype
    base_type/assign
    base_type/byname
    base_type/instantiate
    base_utility/parse_version
    base_utility/compare_version
    base_utility/comparepasswords_works
    base_utility/comparepasswords_issafe
    base_utility/validateutf8
    base_utility/EscapeCreateProcessArg
    base_utility/TruncateUsingHash
    base_value/scalar
    base_value/convert
    base_value/format
    config_ops/simple
    config_ops/advanced
    icinga_checkresult/host_1attempt
    icinga_checkresult/host_2attempts
    icinga_checkresult/host_3attempts
    icinga_checkresult/service_1attempt
    icinga_checkresult/service_2attempts
    icinga_checkresult/service_3attempts
    icinga_checkresult/host_flapping_notification
    icinga_checkresult/service_flapping_notification
    icinga_checkresult/suppressed_notification
    icinga_dependencies/multi_parent
    icinga_notification/strings
    icinga_notification/state_filter
    icinga_notification/type_filter
    icinga_macros/simple
    icinga_legacytimeperiod/simple
    icinga_legacytimeperiod/advanced
    icinga_legacytimeperiod/dst
    icinga_legacytimeperiod/dst_isinside
    icinga_perfdata/empty
    icinga_perfdata/simple
    icinga_perfdata/quotes
    icinga_perfdata/multiple
    icinga_perfdata/multiline
    icinga_perfdata/normalize
    icinga_perfdata/uom
    icinga_perfdata/warncritminmax
    icinga_perfdata/ignore_invalid_warn_crit_min_max
    icinga_perfdata/invalid
    icinga_perfdata/multi
    icinga_perfdata/scientificnotation
    icinga_perfdata/parse_edgecases
    remote_configpackageutility/ValidateName
    remote_url/id_and_path
    remote_url/parameters
    remote_url/get_and_set
    remote_url/format
    remote_url/illegal_legal_strings
)

if(ICINGA2_WITH_LIVESTATUS)
  set(livestatus_test_SOURCES
    icingaapplication-fixture.cpp
    livestatus-fixture.cpp
    livestatus.cpp
    ${base_OBJS}
    $<TARGET_OBJECTS:config>
    $<TARGET_OBJECTS:remote>
    $<TARGET_OBJECTS:icinga>
    $<TARGET_OBJECTS:livestatus>
    $<TARGET_OBJECTS:methods>
  )

  if(ICINGA2_UNITY_BUILD)
      mkunity_target(livestatus test livestatus_test_SOURCES)
  endif()

  add_boost_test(livestatus
    SOURCES test-runner.cpp ${livestatus_test_SOURCES}
    LIBRARIES ${base_DEPS}
    TESTS livestatus/hosts livestatus/services
  )
endif()

set(icinga_checkable_test_SOURCES
  icingaapplication-fixture.cpp
  icinga-checkable-fixture.cpp
  icinga-checkable-flapping.cpp
  ${base_OBJS}
  $<TARGET_OBJECTS:config>
  $<TARGET_OBJECTS:remote>
  $<TARGET_OBJECTS:icinga>
  $<TARGET_OBJECTS:cli>
)

if(ICINGA2_UNITY_BUILD)
    mkunity_target(icinga_checkable test icinga_checkable_test_SOURCES)
endif()

add_boost_test(icinga_checkable
  SOURCES test-runner.cpp ${icinga_checkable_test_SOURCES}
  LIBRARIES ${base_DEPS}
  TESTS icinga_checkable_flapping/host_not_flapping
        icinga_checkable_flapping/host_flapping
        icinga_checkable_flapping/host_flapping_recover
        icinga_checkable_flapping/host_flapping_docs_example
)

=== debian/changelog ===
icinga2 (2.13.7+767.g70d6b6e42-1688162610+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+767.g70d6b6e42-1688162610

 -- Icinga GmbH <info@icinga.com>  Fri, 30 Jun 2023 22:05:22 +0000

## icinga2 2.13.7+780.g2e4af46d4

=== debian/changelog ===
icinga2 (2.13.7+780.g2e4af46d4-1688767414+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+780.g2e4af46d4-1688767414

 -- Icinga GmbH <info@icinga.com>  Fri, 07 Jul 2023 22:05:34 +0000

## icinga2 2.13.7+782.g1df14d60d

=== debian/changelog ===
icinga2 (2.13.7+782.g1df14d60d-1688997427+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+782.g1df14d60d-1688997427

 -- Icinga GmbH <info@icinga.com>  Mon, 10 Jul 2023 13:59:50 +0000

## icinga2 2.13.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,7 @@
 # Icinga 2 | (c) 2012 Icinga GmbH | GPLv2+
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 2.8.8)
 set(BOOST_MIN_VERSION "1.66.0")
-
-if("${CMAKE_VERSION}" VERSION_LESS "3.8") # SLES 12.5
-  if(NOT MSVC)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
-  endif()
-else()
-  set(CMAKE_CXX_STANDARD 17)
-  set(CMAKE_CXX_STANDARD_REQUIRED ON)
-  set(CMAKE_CXX_EXTENSIONS OFF)
-endif()
 
 project(icinga2)
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -23,21 +13,21 @@
     FORCE)
 endif()
 
-if(WIN32)
-  set(ICINGA2_MASTER OFF)
+option(ICINGA2_WITH_MYSQL "Build the MySQL IDO module" ON)
+option(ICINGA2_WITH_PGSQL "Build the PostgreSQL IDO module" ON)
+option(ICINGA2_WITH_CHECKER "Build the checker module" ON)
+option(ICINGA2_WITH_COMPAT "Build the compat module" ON)
+option(ICINGA2_WITH_LIVESTATUS "Build the Livestatus module" ON)
+option(ICINGA2_WITH_NOTIFICATION "Build the notification module" ON)
+option(ICINGA2_WITH_PERFDATA "Build the perfdata module" ON)
+option(ICINGA2_WITH_TESTS "Run unit tests" ON)
+
+# IcingaDB only is supported on modern Linux/Unix master systems
+if(NOT WIN32)
+  option(ICINGA2_WITH_ICINGADB "Build the IcingaDB module" ON)
 else()
-  set(ICINGA2_MASTER ON)
-endif()
-
-option(ICINGA2_WITH_MYSQL "Build the MySQL IDO module" ${ICINGA2_MASTER})
-option(ICINGA2_WITH_PGSQL "Build the PostgreSQL IDO module" ${ICINGA2_MASTER})
-option(ICINGA2_WITH_CHECKER "Build the checker module" ON)
-option(ICINGA2_WITH_COMPAT "Build the compat module" ${ICINGA2_MASTER})
-option(ICINGA2_WITH_LIVESTATUS "Build the Livestatus module" ${ICINGA2_MASTER})
-option(ICINGA2_WITH_NOTIFICATION "Build the notification module" ON)
-option(ICINGA2_WITH_PERFDATA "Build the perfdata module" ${ICINGA2_MASTER})
-option(ICINGA2_WITH_TESTS "Run unit tests" ON)
-option(ICINGA2_WITH_ICINGADB "Build the IcingaDB module" ${ICINGA2_MASTER})
+  option(ICINGA2_WITH_ICINGADB "Build the IcingaDB module" OFF)
+endif()
 
 option (USE_SYSTEMD
  "Configure icinga as native systemd service instead of a SysV initscript" OFF)
@@ -239,8 +229,8 @@
 set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${CMAKE_INSTALL_FULL_LIBDIR}/icinga2")
 
 if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Qunused-arguments -fcolor-diagnostics -fno-limit-debug-info")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Qunused-arguments -fcolor-diagnostics -fno-limit-debug-info")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Qunused-arguments -fcolor-diagnostics")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Qunused-arguments -fcolor-diagnostics")
 
   # Clang on Fedora requires -pthread, Apple Clang does not
   # AppleClang is available since CMake 3.0.0
@@ -290,3 +280,10 @@
 check_cxx_linker_flag("-Wl,--no-export-dynamic" LD_NO_EXPORT_DYNAMIC)
 
 if(LD_NO_EXPORT_DYNAMIC)
+  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--no-export-dynamic")
+  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-export-dynamic")
+endif()
+
+check_cxx_linker_flag("-Bsymbolic-functions" LD_SYMBOLIC_FUNCTIONS)
+
+if(LD_SYMBOLIC_FUNCTIONS)

=== debian/changelog ===
icinga2 (2.13.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 13.
  * Update copyright file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Jul 2023 16:26:40 +0200

icinga2 (2.13.7-1) unstable; urgency=medium

  * Team upload.
  * Add patch to use check_systemd path as provided by the
    monitoring-plugins-systemd package.
    (closes: #1033666)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 16:05:27 +0200

=== debian/control ===
Source: icinga2
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Markus Frosch <lazyfrosch@debian.org>,
           Jan Wagner <waja@cyconet.org>,
           Alexander Wirt <formorer@debian.org>
Section: admin
Priority: optional
Build-Depends: bash-completion,
               bison,
               cmake,
               debhelper-compat (= 13),
               dh-vim-addon,
               flex,
               libboost-dev,
               libboost-context-dev,
               libboost-coroutine-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libedit-dev,
       default-libmysqlclient-dev,
               libpq-dev,
               libssl-dev,
               libsystemd-dev,
               pkg-config,
               po-debconf,
               tzdata
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/nagios-team/icinga2
Vcs-Git: https://salsa.debian.org/nagios-team/icinga2.git
Homepage: https://icinga.com
Rules-Requires-Root: no

Package: icinga2
Architecture: any
Depends: icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ${misc:Depends}
Recommends: icinga2-doc (= ${binary:Version}),
            monitoring-plugins-basic | nagios-plugins-basic,
            libreadline8
Suggests: vim-icinga2
Description: host and network monitoring system
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This is the metapackage to install all Icinga 2 features.

Package: icinga2-common
Architecture: all
Depends: adduser,
         lsb-release,
         sysvinit-utils (>= 3.05-4~),
         ${misc:Depends}
Recommends: logrotate
Conflicts: python-icinga2
Provides: python-icinga2
Replaces: python-icinga2
Description: host and network monitoring system - common files
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides configuration and some basic helper scripts.

Package: icinga2-bin
Architecture: any
Depends: icinga2-common (= ${source:Version}),
         sysvinit-utils (>= 3.05-4~),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: host and network monitoring system - daemon
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the Icinga 2 daemon.

Package: icinga2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: host and network monitoring system - documentation
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the Icinga 2 documentation.

Package: icinga2-ido-mysql
Architecture: any
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-mysql-client | virtual-mysql-client
Suggests: default-mysql-server | virtual-mysql-server
Pre-Depends: ${misc:Pre-Depends}
Conflicts: icinga2-ido-pgsql
Description: host and network monitoring system - MySQL support
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the IDO module for the MySQL database.

Package: icinga2-ido-pgsql
Architecture: any
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: postgresql-client
Suggests: postgresql
Pre-Depends: ${misc:Pre-Depends}
Conflicts: icinga2-ido-mysql
Description: host and network monitoring system - PostgreSQL support
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the IDO module for the PostgreSQL database.

Package: vim-icinga2
Architecture: all
Depends: ${vim-addon:Depends},
         ${misc:Depends}
Description: syntax highlighting for Icinga 2 config files in VIM
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 The vim-icinga2 package provides filetype detection and syntax
 highlighting for Icinga 2 config files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

export CTEST_OUTPUT_ON_FAILURE=1

ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel powerpc))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

%:
	dh $@ --with bash_completion,vim_addon

override_dh_auto_clean:
	dh_auto_clean

	test ! -f third-party/cmake/GNUInstallDirs.cmake.disabled || \
		mv third-party/cmake/GNUInstallDirs.cmake.disabled third-party/cmake/GNUInstallDirs.cmake

override_dh_auto_configure:
	test -f third-party/cmake/GNUInstallDirs.cmake.disabled || \
		mv third-party/cmake/GNUInstallDirs.cmake third-party/cmake/GNUInstallDirs.cmake.disabled

	dh_auto_configure \
		-- \
		-DCMAKE_INSTALL_LOCALSTATEDIR=/var \
		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
		-DICINGA2_RUNDIR=/run \
		-DICINGA2_USER=nagios \
		-DICINGA2_GROUP=nagios \
		-DICINGA2_COMMAND_GROUP=www-data \
		-DICINGA2_GIT_VERSION_INFO=false \
		-DICINGA2_PLUGINDIR=/usr/lib/nagios/plugins \
		-DUSE_SYSTEMD=ON

override_dh_auto_install:
	dh_auto_install

	# remove features-enabled - these will be activated by postinst later
	$(RM) -r debian/tmp/etc/icinga2/features-enabled/*

override_dh_install-arch:
	dh_install -a

	$(RM) debian/libicinga2/usr/lib/*/icinga2/libdb_ido_*

	for dbms in mysql pgsql; do \
		mkdir -p debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/install ; \
		mkdir -p debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/upgrade/$$dbms; \
		cp lib/db_ido_$$dbms/schema/$$dbms.sql debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/install/$$dbms ; \
		for file in lib/db_ido_$$dbms/schema/upgrade/* ; do \
			cp $$file debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/upgrade/$$dbms/`basename $$file .sql`; \
		done; \
	done

override_dh_install-indep:
	dh_install -i

	chmod +x debian/icinga2-common/usr/lib/icinga2/prepare-dirs

	$(RM) debian/icinga2-common/etc/icinga2/features-available/ido-*

override_dh_installinit:
	dh_installinit --name=icinga2

override_dh_installsystemd:
	dh_installsystemd --name=icinga2

override_dh_vim-addon:
	dh_vim-addon -p vim-icinga2

override_dh_compress:
	dh_compress
	dh_compress -p icinga2-doc usr/share/doc/icinga2/markdown/01-about.md

override_dh_missing:
	# Explicitly remove files not included in any package
	$(RM) debian/tmp/etc/bash_completion.d/icinga2
	$(RM) debian/tmp/etc/init.d/icinga2
	$(RM) debian/tmp/usr/lib/*/icinga2/lib*.so
	$(RM) debian/tmp/usr/lib/systemd/system/icinga2.service
	$(RM) debian/tmp/usr/share/doc/icinga2/AUTHORS
	$(RM) debian/tmp/usr/share/doc/icinga2/CHANGELOG.md
	$(RM) debian/tmp/usr/share/doc/icinga2/COPYING
	$(RM) debian/tmp/usr/share/doc/icinga2/COPYING.Exceptions
	$(RM) debian/tmp/usr/share/doc/icinga2/NEWS
	$(RM) debian/tmp/usr/share/doc/icinga2/README.md

	dh_missing --list-missing

# we don't build shared libraries
override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

# vi: noexpandtab ts=4 sw=4 :

## icinga2 2.13.9

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -109,6 +109,11 @@
     base_timer/invoke
     base_timer/scope
     base_tlsutility/sha1
+    base_tlsutility/iscauptodate_ok
+    base_tlsutility/iscauptodate_expiring
+    base_tlsutility/iscertuptodate_ok
+    base_tlsutility/iscertuptodate_expiring
+    base_tlsutility/iscertuptodate_old
     base_type/gettype
     base_type/assign
     base_type/byname

=== debian/changelog ===
icinga2 (2.13.9-1+ubuntu23.04) icinga; urgency=medium

  * Release 2.13.9-1

 -- Icinga GmbH <info@icinga.com>  Wed, 20 Dec 2023 16:42:18 +0000

## icinga2 2.13.10

=== debian/changelog ===
icinga2 (2.13.10-1+ubuntu24.10) icinga; urgency=medium

  * Release 2.13.10-1

 -- Icinga GmbH <info@icinga.com>  Tue, 29 Oct 2024 11:41:16 +0000

## icinga2 2.13.11

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -125,6 +125,7 @@
     base_utility/validateutf8
     base_utility/EscapeCreateProcessArg
     base_utility/TruncateUsingHash
+    base_utility/FormatDateTime
     base_value/scalar
     base_value/convert
     base_value/format
@@ -145,9 +146,13 @@
     icinga_notification/type_filter
     icinga_macros/simple
     icinga_legacytimeperiod/simple
+    icinga_legacytimeperiod/is_in_range
+    icinga_legacytimeperiod/out_of_range_segments
+    icinga_legacytimeperiod/include_exclude_timeperiods
     icinga_legacytimeperiod/advanced
     icinga_legacytimeperiod/dst
     icinga_legacytimeperiod/dst_isinside
+    icinga_legacytimeperiod/find_nth_weekday
     icinga_perfdata/empty
     icinga_perfdata/simple
     icinga_perfdata/quotes

=== debian/changelog ===
icinga2 (2.13.11-1+ubuntu24.10) icinga; urgency=medium

  * Release 2.13.11-1

 -- Icinga GmbH <info@icinga.com>  Thu, 23 Jan 2025 13:02:34 +0000

## icinga2 2.13.12

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -114,6 +114,7 @@
     base_tlsutility/iscertuptodate_ok
     base_tlsutility/iscertuptodate_expiring
     base_tlsutility/iscertuptodate_old
+    base_tlsutility/VerifyCertificate_revalidate
     base_type/gettype
     base_type/assign
     base_type/byname

=== lib/base/CMakeLists.txt ===
# Icinga 2 | (c) 2012 Icinga GmbH | GPLv2+

mkclass_target(application.ti application-ti.cpp application-ti.hpp)
mkclass_target(configobject.ti configobject-ti.cpp configobject-ti.hpp)
mkclass_target(configuration.ti configuration-ti.cpp configuration-ti.hpp)
mkclass_target(datetime.ti datetime-ti.cpp datetime-ti.hpp)
mkclass_target(filelogger.ti filelogger-ti.cpp filelogger-ti.hpp)
mkclass_target(function.ti function-ti.cpp function-ti.hpp)
mkclass_target(logger.ti logger-ti.cpp logger-ti.hpp)
mkclass_target(perfdatavalue.ti perfdatavalue-ti.cpp perfdatavalue-ti.hpp)
mkclass_target(streamlogger.ti streamlogger-ti.cpp streamlogger-ti.hpp)
mkclass_target(sysloglogger.ti sysloglogger-ti.cpp sysloglogger-ti.hpp)

set(base_SOURCES
  i2-base.hpp
  application.cpp application.hpp application-ti.hpp application-version.cpp application-environment.cpp
  array.cpp array.hpp array-script.cpp
  atomic.hpp
  atomic-file.cpp atomic-file.hpp
  base64.cpp base64.hpp
  boolean.cpp boolean.hpp boolean-script.cpp
  bulker.hpp
  configobject.cpp configobject.hpp configobject-ti.hpp configobject-script.cpp
  configtype.cpp configtype.hpp
  configuration.cpp configuration.hpp configuration-ti.hpp
  configwriter.cpp configwriter.hpp
  console.cpp console.hpp
  context.cpp context.hpp
  convert.cpp convert.hpp
  datetime.cpp datetime.hpp datetime-ti.hpp datetime-script.cpp
  debug.hpp
  debuginfo.cpp debuginfo.hpp
  dependencygraph.cpp dependencygraph.hpp
  dictionary.cpp dictionary.hpp dictionary-script.cpp
  exception.cpp exception.hpp
  fifo.cpp fifo.hpp
  filelogger.cpp filelogger.hpp filelogger-ti.hpp
  function.cpp function.hpp function-ti.hpp function-script.cpp functionwrapper.hpp
  initialize.cpp initialize.hpp
  io-engine.cpp io-engine.hpp
  json.cpp json.hpp json-script.cpp
  lazy-init.hpp
  library.cpp library.hpp
  loader.cpp loader.hpp
  logger.cpp logger.hpp logger-ti.hpp
  math-script.cpp
  netstring.cpp netstring.hpp
  networkstream.cpp networkstream.hpp
  namespace.cpp namespace.hpp namespace-script.cpp
  number.cpp number.hpp number-script.cpp
  object.cpp object.hpp object-script.cpp
  objectlock.cpp objectlock.hpp
  object-packer.cpp object-packer.hpp
  objecttype.cpp objecttype.hpp
  perfdatavalue.cpp perfdatavalue.hpp perfdatavalue-ti.hpp
  primitivetype.cpp primitivetype.hpp
  process.cpp process.hpp
  reference.cpp reference.hpp reference-script.cpp
  registry.hpp
  ringbuffer.cpp ringbuffer.hpp
  scriptframe.cpp scriptframe.hpp
  scriptglobal.cpp scriptglobal.hpp
  scriptutils.cpp scriptutils.hpp
  serializer.cpp serializer.hpp
  shared.hpp
  shared-object.hpp
  singleton.hpp
  socket.cpp socket.hpp
  stacktrace.cpp stacktrace.hpp
  statsfunction.hpp
  stdiostream.cpp stdiostream.hpp
  stream.cpp stream.hpp
  streamlogger.cpp streamlogger.hpp streamlogger-ti.hpp
  string.cpp string.hpp string-script.cpp
  sysloglogger.cpp sysloglogger.hpp sysloglogger-ti.hpp
  tcpsocket.cpp tcpsocket.hpp
  threadpool.cpp threadpool.hpp
  timer.cpp timer.hpp
  tlsstream.cpp tlsstream.hpp
  tlsutility.cpp tlsutility.hpp
  type.cpp type.hpp typetype-script.cpp
  unix.hpp
  unixsocket.cpp unixsocket.hpp
  utility.cpp utility.hpp
  value.cpp value.hpp value-operators.cpp
  win32.hpp
  workqueue.cpp workqueue.hpp
)

if(WIN32)
  mkclass_target(windowseventloglogger.ti windowseventloglogger-ti.cpp windowseventloglogger-ti.hpp)
  list(APPEND base_SOURCES windowseventloglogger.cpp windowseventloglogger.hpp windowseventloglogger-ti.hpp)

  # Generate a DLL containing message definitions for the Windows Event Viewer.
  # See also: https://docs.microsoft.com/en-us/windows/win32/eventlog/reporting-an-event
  add_custom_command(
    OUTPUT windowseventloglogger-provider.rc windowseventloglogger-provider.h
    COMMAND mc ARGS -U ${CMAKE_CURRENT_SOURCE_DIR}/windowseventloglogger-provider.mc
    DEPENDS windowseventloglogger-provider.mc
  )

  list(APPEND base_SOURCES windowseventloglogger-provider.h)

  add_custom_command(
    OUTPUT windowseventloglogger-provider.res
    COMMAND rc ARGS windowseventloglogger-provider.rc
    DEPENDS windowseventloglogger-provider.rc
  )

  add_library(eventprovider MODULE windowseventloglogger-provider.res windowseventloglogger-provider.rc)
  set_target_properties(eventprovider PROPERTIES LINKER_LANGUAGE CXX)
  target_link_libraries(eventprovider PRIVATE -noentry)

  install(TARGETS eventprovider LIBRARY DESTINATION ${CMAKE_INSTALL_SBINDIR})
endif()

set_property(SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/application-version.cpp PROPERTY EXCLUDE_UNITY_BUILD TRUE)

if(ICINGA2_UNITY_BUILD)
  mkunity_target(base base base_SOURCES)
endif()

if(HAVE_SYSTEMD)
  find_path(SYSTEMD_INCLUDE_DIR
    NAMES systemd/sd-daemon.h
    HINTS ${SYSTEMD_ROOT_DIR})
  include_directories(${SYSTEMD_INCLUDE_DIR})
endif()

add_library(base OBJECT ${base_SOURCES})

include_directories(${icinga2_SOURCE_DIR}/third-party/execvpe)
link_directories(${icinga2_BINARY_DIR}/third-party/execvpe)

include_directories(${icinga2_SOURCE_DIR}/third-party/mmatch)
link_directories(${icinga2_BINARY_DIR}/third-party/mmatch)

include_directories(${icinga2_SOURCE_DIR}/third-party/socketpair)
link_directories(${icinga2_BINARY_DIR}/third-party/socketpair)

set_target_properties (
  base PROPERTIES
  FOLDER Lib
)

if(NOT WIN32)
  install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${ICINGA2_FULL_CACHEDIR}\")")
  install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${ICINGA2_FULL_LOGDIR}/crash\")")
endif()

set(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "${CPACK_NSIS_EXTRA_INSTALL_COMMANDS}" PARENT_SCOPE)

=== debian/changelog ===
icinga2 (2.13.12-1+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.12-1

 -- Icinga GmbH <info@icinga.com>  Thu, 22 May 2025 08:31:19 +0000
